from django.urls import path
from .views import register, create_profile, change_password, get_current_user_api, profile, message, get_user_message_api, message_read, create_message
from .apis import users_api

""""""
urlpatterns = [
    path('register/', register, name='register'),
    path('profile/<int:pk>/', profile),
    #path('about/', about),
    path('create-profile/', create_profile),
    path('change_password/<int:pk>/', change_password),
    
    path('api/v1/user/get_current_user_api/', get_current_user_api),
    path('api/v1/user/users_api/', users_api),

    path('message/', message),
    path('api/v1/user/message/', create_message),
    path('api/v1/user/get_user_message_api/', get_user_message_api),
    path('message/read/<int:pk>/', message_read)
]